<?xml version="1.0" encoding="utf-8"?>
<FrameLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/flBeautyConfig"
    tools:context=".ui.BeautyConfigActivity"
    android:background="#4d4d4d"
    android:fitsSystemWindows="false">

    <com.ez.ertc.meeting.widget.ErtcTextureView
        android:id="@+id/vcsTextureView"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <include layout="@layout/ezm_activity_beauty_config"
        android:id="@+id/viewBeautyConfig"/>

    <FrameLayout
        android:id="@+id/flContrast"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_gravity="right|bottom"
        android:layout_marginBottom="300dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/ezm_bg_beauty_contrast">
        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            app:srcCompat="@drawable/ys_mt_svg_contrast"/>
    </FrameLayout>
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="54dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp">

        <FrameLayout
            android:id="@+id/flNavBack"
            android:layout_width="50dp"
            android:layout_height="wrap_content">
            <com.ez.ertc.meeting.widget.MtTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginStart="15dp"
                android:layout_gravity="center_vertical"
                android:textColor="@color/ezm_white"
                android:textSize="22dp"
                android:text="@string/ezm_icon_back"/>
        </FrameLayout>
        <Switch
            android:id="@+id/swBeauty"
            android:layout_centerVertical="true"
            style="@style/ezmSwitch"
            android:checked="false"
            android:layout_toStartOf="@id/ivSwitchCamera"
            android:layout_marginEnd="26dp"
            tools:ignore="NewApi,UseSwitchCompatOrMaterialXml" />
        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/ivSwitchCamera"
            android:layout_width="22dp"
            android:layout_height="19dp"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            app:srcCompat="@drawable/ys_mt_svg_switch_camera"/>


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/ezm_white"
            android:textSize="@dimen/ezm_f32"
            android:text="@string/ys_mt_beauty_config_beauty"
            android:layout_centerVertical="true"
            android:layout_toStartOf="@id/swBeauty"
            android:layout_marginEnd="10dp"/>
    </RelativeLayout>

</FrameLayout>